name = "fdroid"
workers_dev = true
compatibility_date = "2021-09-17"
main = "./dist/worker.js"               # [script]

[build]
command = "npm install && npm run build"

[[rules]]             # --modules-rule
type = "ESModule"
globs = ["**/*.js"]

[vars]
MEILISEARCH_DOCS_SEARCHBAR_VERSION = '2.1.0'
MEILISEARCH_HOST_URL = 'https://meilisearch.fdroidgoes.live'
ENVIRONMENT = 'development'

[placement]
mode = "smart"

# [secrets]
# MEILISEARCH_API_KEY

[env.staging]
name = "fdroid-staging"
vars = { ENVIRONMENT = "staging", MEILISEARCH_DOCS_SEARCHBAR_VERSION = '2.1.0', MEILISEARCH_HOST_URL = 'https://meilisearch.fdroidgoes.live' }
workers_dev = true

[env.production]
name = "fdroid-production"
vars = { ENVIRONMENT = "production", MEILISEARCH_DOCS_SEARCHBAR_VERSION = '2.1.0', MEILISEARCH_HOST_URL = 'https://meilisearch.fdroidgoes.live' }
workers_dev = true
